---
inputType: "CA10__CaAwsEfsFileSystem__c"
testData:
  - file: test-data.json
importExtracts:
  - file: /types/CA10__CaAwsEfsFileSystem__c/object.extracts.yaml
conditions:
  - status: "COMPLIANT"
    currentStateMessage: "EFS File System data is encrypted."
    check:
      IS_EQUAL:
        left:
          EXTRACT: CA10__encrypted__c
        right:
          BOOLEAN: true 
otherwise:
  status: "INCOMPLIANT"
  currentStateMessage: "EFS File System data is not encrypted."
  remediationMessage: "Consider enabling EFS File System data encryption."